## python-cement 2.10.0

=== requirements.txt ===
# Cement does not have any external dependencies

## python-cement 2.8.2

=== debian/changelog ===
python-cement (2.8.2-2) unstable; urgency=medium

  * Add patch to prevent installation of example package in global
    namespace (Closes: #825199).
  * Add python3-sphinx-rtd-theme to Build-Depends (Closes: 830635).
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Tue, 12 Jul 2016 11:49:09 +0200

python-cement (2.8.2-1) unstable; urgency=low

  * Initial release (Closes: #824826).

 -- Michael Fladischer <fladi@debian.org>  Fri, 20 May 2016 10:15:43 +0200

=== debian/control ===
Source: python-cement
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-argcomplete,
               python-colorlog,
               python-configobj,
               python-genshi,
               python-mock,
               python-nose,
               python-pyinotify,
               python-pylibmc,
               python-pystache,
               python-setuptools,
               python-tabulate,
               python-yaml,
               python3-all,
               python3-argcomplete,
               python3-colorlog,
               python3-configobj,
               python3-genshi,
               python3-mock,
               python3-nose,
               python3-pyinotify,
               python3-pylibmc,
               python3-pystache,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tabulate,
               python3-yaml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cement.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cement.git
Homepage: http://builtoncement.com/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-cement
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Recommends: python-argcomplete,
            python-colorlog,
            python-configobj,
            python-genshi,
            python-pyinotify,
            python-pylibmc,
            python-pystache,
            python-tabulate,
            python-yaml
Suggests: python-cement-doc
Description: CLI Application Framework (Python2 version)
 Cement is an advanced CLI Application Framework for Python. Its goal is to
 introduce a standard, and feature-full platform for both simple and complex
 command line applications as well as support rapid development needs without
 sacrificing quality. Cement is flexible, and it’s use cases span from the
 simplicity of a micro-framework to the complexity of a mega-framework.
 .
 Features include:
  * Core pieces of the framework are customizable via handlers/interfaces
  * Extension handler interface to easily extend framework functionality
  * Config handler supports parsing multiple config files into one config
  * Argument handler parses command line arguments and merges with config
  * Log handler supports console and file logging
  * Plugin handler provides an interface to easily extend your application
  * Hook support adds a bit of magic to apps and also ties into framework
  * Handler system connects implementation classes with Interfaces
  * Output handler interface renders return dictionaries to console
  * Cache handler interface adds caching support for improved performance
  * Controller handler supports sub-commands, and nested controllers
 .
 This package contains the Python 2 version of the library.

Package: python3-cement
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-argcomplete,
            python3-colorlog,
            python3-configobj,
            python3-genshi,
            python3-pyinotify,
            python3-pylibmc,
            python3-pystache,
            python3-tabulate,
            python3-yaml
Suggests: python-cement-doc
Description: CLI Application Framework (Python3 version)
 Cement is an advanced CLI Application Framework for Python. Its goal is to
 introduce a standard, and feature-full platform for both simple and complex
 command line applications as well as support rapid development needs without
 sacrificing quality. Cement is flexible, and it’s use cases span from the
 simplicity of a micro-framework to the complexity of a mega-framework.
 .
 Features include:
  * Core pieces of the framework are customizable via handlers/interfaces
  * Extension handler interface to easily extend framework functionality
  * Config handler supports parsing multiple config files into one config
  * Argument handler parses command line arguments and merges with config
  * Log handler supports console and file logging
  * Plugin handler provides an interface to easily extend your application
  * Hook support adds a bit of magic to apps and also ties into framework
  * Handler system connects implementation classes with Interfaces
  * Output handler interface renders return dictionaries to console
  * Cache handler interface adds caching support for improved performance
  * Controller handler supports sub-commands, and nested controllers
 .
 This package contains the Python 3 version of the library.

Package: python-cement-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: CLI Application Framework (Documentation)
 Cement is an advanced CLI Application Framework for Python. Its goal is to
 introduce a standard, and feature-full platform for both simple and complex
 command line applications as well as support rapid development needs without
 sacrificing quality. Cement is flexible, and it’s use cases span from the
 simplicity of a micro-framework to the complexity of a mega-framework.
 .
 Features include:
  * Core pieces of the framework are customizable via handlers/interfaces
  * Extension handler interface to easily extend framework functionality
  * Config handler supports parsing multiple config files into one config
  * Argument handler parses command line arguments and merges with config
  * Log handler supports console and file logging
  * Plugin handler provides an interface to easily extend your application
  * Hook support adds a bit of magic to apps and also ties into framework
  * Handler system connects implementation classes with Interfaces
  * Output handler interface renders return dictionaries to console
  * Cache handler interface adds caching support for improved performance
  * Controller handler supports sub-commands, and nested controllers
 .
 This package contains the documentation.

## python-cement 2.10.0

=== debian/changelog ===
python-cement (2.10.0-1) unstable; urgency=low

  * New upstream release.
  * Add python(3)-jinja2 and python(3)-watchdog to b-d so tests can
    pass.
  * Add python(3)-jinja2 and python(3)-watchdog to Recommends.

 -- Michael Fladischer <fladi@debian.org>  Thu, 08 Sep 2016 10:03:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python-colorlog,
                python-configobj,
                python-genshi,
+               python-jinja2,
                python-mock,
                python-nose,
                python-pyinotify,
@@ -17,12 +18,14 @@
                python-pystache,
                python-setuptools,
                python-tabulate,
+               python-watchdog,
                python-yaml,
                python3-all,
                python3-argcomplete,
                python3-colorlog,
                python3-configobj,
                python3-genshi,
+               python3-jinja2,
                python3-mock,
                python3-nose,
                python3-pyinotify,
@@ -32,6 +35,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tabulate,
+               python3-watchdog,
                python3-yaml
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cement.git
@@ -48,10 +52,12 @@
             python-colorlog,
             python-configobj,
             python-genshi,
+            python-jinja2,
             python-pyinotify,
             python-pylibmc,
             python-pystache,
             python-tabulate,
+            python-watchdog,
             python-yaml
 Suggests: python-cement-doc
 Description: CLI Application Framework (Python2 version)
@@ -84,10 +90,12 @@
             python3-colorlog,
             python3-configobj,
             python3-genshi,
+            python3-jinja2,
             python3-pyinotify,
             python3-pylibmc,
             python3-pystache,
             python3-tabulate,
+            python3-watchdog,
             python3-yaml
 Suggests: python-cement-doc
 Description: CLI Application Framework (Python3 version)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=cement
export PYBUILD_TEST_ARGS=-e '(memcache|daemon_tests)'

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d doc/build/doctrees -N doc/source doc/build/html

override_dh_clean:
	dh_clean
	rm -rf doc/build/*

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-cement-$1\.tar\.gz/ \
https://github.com/datafolklabs/cement/tags .*/v?(\d\S*)\.tar\.gz
